package com.rv.im.mvp.view;

import com.rv.im.db.table.ChatMessage;

public interface IChatView {
    int REQUEST_CODE_PICK_PHOTO = 2;
    int REQUEST_CODE_CAMERA = 1001;//照相
    int REQUEST_CODE_SELECT_FILE = 3; // 选择文件

    int REQUEST_PERMISSION_AUDIO = 20001; // 录音权限申请
    int REQUEST_PERMISSION_PHOTO = 20002; // 照片图片选择
    int REQUEST_PERMISSION_FILE = 20003 ; // 文件权限申请
    int REQUEST_PERMISSION_CALL = 20004 ; // 通话权限申请



    void sendMessSuccess(String receiptId);

    void addMessage(ChatMessage message);

    void upSuccess(String toUserId, ChatMessage message);

    void upFailure(String toUserId, ChatMessage message);

    void upProgress(String toUserId, ChatMessage message);

    void receiverMsg(ChatMessage message);

    void sendMessFailure(String receiptId);
}
